#include <bits/stdc++.h>
using namespace std;
long long A[10000];

int main (){
ios_base::sync_with_stdio(false);
cin.tie(0);
cout.tie(0);
    long long n, br=0, i, ti;
    cin >> n;
    for (i=0; i<n; i++){
        cin >> A[i];
        if (A[i]%2==0){
            A[i]=0;
        }
        else {
            A[i]=1;
        }
    }
    for (i=0; i<n; i++){
        if (A[i]==1){
                ti=0;
            while(i<n and A[i]==1){
                i++;
                ti++;
            }
            br+=ti*(ti+1)/2;
        }
    }
    cout << n*(n+1)/2-br << endl;






return 0;
}
